%define name	gtk+
%define version	1.2.10
%define release	%mkrel 50

%define major    	1.2
%define libname  	%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{version}.tar.xz
Source1:	gtk+-1.2.10-vi.po.bz2	
Patch2: gtkmenubar-noborder.patch
Patch3: gtk+-1.2.10-gtkrc_files.patch
Patch4: gtk+-1.2.10-focus.patch
Patch5: gtk+-1.2.10-rclocale.patch
Patch6: gtk+-1.2.10-alignment.patch
Patch7: gtk+-1.2.10-expose.patch
Patch8: gtk+-1.2.10-ctext.patch
Patch9: gtk+-1.2.10-kpenter.patch
Patch10:	gtk+-1.2.10-themeswitch.patch
Patch11:	gtk+-1.2.10-pixmapref.patch
Patch12:	gtk+-1.2.10-missingchar.patch
Patch15:	gtk+-1.2.10-netwmpid.patch
Patch16:	gtk+-1.2.10-labelvariable.patch
Patch17:	gtk+-1.2.10-gtklist.patch
Patch18:	gtk+-1.2.10-border.patch
Patch19:	gtk+-1.2.10-dndnewwindow.patch
Patch20:	gtk+-1.2.10-libdir.patch
Patch21:	gtk+-1.2.10-deletedir.patch 
Patch22:	gtk+-1.2.10-fontwarning.patch
Patch23:	gtk+-1.2.10-troughpaint.patch
Patch24:	gtk+-1.2.10-localecrash.patch
Patch25:	gtk+-1.2.10-fileselectorfallback.patch
Patch26:	gtk+-1.2.10-defaultcolor.patch
Patch27:	gtk+-1.2.10-fix-underquoted-calls.patch
Patch28:	gtk+-1.2.10-argb.patch
Patch29:	gtk+-1.2.10-gtkgdkdep.patch

Patch30:	gtk+-1.2.10-ahiguti.patch
Patch31:	gtk+-1.2.8-wrap-alnum.patch
Patch37:	gtk+-1.2.10-clistfocusrow.patch
Patch38:	gtk+-1.2.10-bellvolume.patch
Patch39:	gtk+-1.2.10-libtool.patch
Patch42:	gtk+-1.2.10-no_undefined.patch
Patch44:	gtk+-1.2.10-unused-deps.patch
Patch46:	gtk+-1.2.10-format.patch


BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gtk.org
BuildRequires:	X11-devel
BuildRequires:	autoconf2.1
BuildRequires:	automake1.4
BuildRequires:	libtool
BuildRequires:	glib-devel >= %{version}
Requires: glibc >= 2.20

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well. This is GTK+ 
1.2, a legacy version. The current version is GTK+ 2.

%package -n	%{libname}
Summary:	Main library for gtk+
Group:		System/Libraries
Provides:	gtk+ = %{version}-%{release}
Obsoletes:	gtk+
Suggests:	galaxy-gtk12

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n	%{develname}
Summary:	Development tools for GTK+ (GIMP ToolKit) applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	gtk-devel
Requires(post,preun):	info-install
Provides:	gtk-devel = %{version}-%{release}
Provides:	gtk+-devel = %{version}-%{release}
Provides:	libgtk+-devel = %{version}-%{release}
Provides:	gtk+%{major}-devel = %{version}-%{release}
Obsoletes:	gtk+-devel
Obsoletes:	%{mklibname gtk+ 1.2 -d}

%description -n	%{develname}
The libgtk+1.2-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The %{develname}
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set). Install %{develname} if you need to develop GTK+ 
applications. This is GTK+ 1.2, a legacy version. The current version is
GTK+ 2.

%prep
%setup -q
%patch2 -p1 -b .noshadow
%patch3 -p1 -b .gtkrc
%patch4 -p1 -b .focus
%patch5 -p1 -b .rclocale
%patch6 -p1 -b .ia64
%patch7 -p1 -b .expose
%patch8 -p1 -b .ctext
%patch9 -p1 -b .kpenter
%patch10 -p1 -b .themeswitch
%patch11 -p1 -b .pixmapref
%patch12 -p1 -b .missingchar
%patch15 -p1 -b .netwmpid
%patch16 -p1 -b .labelvariable
%patch17 -p1 -b .gtklist
%patch18 -p1 -b .border
%patch19 -p1 -b .dndnewwindow
%patch20 -p1 -b .libdir
%patch21 -p1 -b .deletedir
%patch22 -p1 -b .fontwarning
%patch23 -p1 -b .troughpaint
%patch24 -p1 -b .localecrash
%patch25 -p1 -b .fileselectorfallback
%patch26 -p1 -b .defaultcolor
%patch27 -p1 -b .underquoted
%patch28 -p1 -b .argb
%patch29 -p1 -b .gdkdep

%patch30 -p1 -b .ahiguti
%patch31 -p1 -b .alnum
%patch37 -p0 -b .clistfocusrow
%patch38 -p1 -b .bellvolume
%patch39 -p1 -b .libtool
%patch42 -p1 -b .no_undefined
%patch44 -p1 -b .unused-deps
%patch46 -b .format

# vi.po is not encoded in utf-8
bzcat %{SOURCE1} > po/vi.po

libtoolize --install --force
# needed by patch 3, 29
# it doesn't work with 2.5. I tested. -AdamW 2007/07
autoreconf-2.13

%build
%define Werror_cflags %nil
%configure  --with-xinput=xfree --with-native-locale
%make LIBTOOL=%{_bindir}/libtool

make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std LIBTOOL=%{_bindir}/libtool

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/*

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig

%post -n %{develname}
%_install_info gtk.info
%_install_info gdk.info

%preun -n %{develname}
if [ "$1" = "0" ]; then
	%{__install_info} \
	%{_infodir}/gdk.info%{_extension} --dir=%{_infodir}/dir --remove
fi
if [ "$1" = "0" ]; then
	%{__install_info} \
	%{_infodir}/gtk.info%{_extension} --dir=%{_infodir}/dir --remove
fi

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname} -f %{name}.lang
%defattr(-, root, root)
%doc INSTALL ABOUT-NLS
%{_libdir}/lib*.so.*
%{_datadir}/themes
%dir %{_sysconfdir}/gtk
%config(noreplace) %{_sysconfdir}/gtk/*

%files -n %{develname}
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README* TODO docs/html
%{_libdir}/lib*.so
%{_libdir}/*a
%{_mandir}/man1/*
%{_infodir}/g?k.info*
%{_includedir}/*
%{_datadir}/aclocal/*
%multiarch %{multiarch_bindir}/*
%{_bindir}/*
%{_libdir}/pkgconfig/*


%changelog
* Fri Feb 19 2015 bb <bb> 1.2.10-50pclos2015
- rebuild for new glibc

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 1.2.10-49pclos2011
- rebuild no custom gtkrc

* Mon Sep 26 2011 Texstar <texstar at gmail.com> 1.2.10-48pclos2011
- update for 64bit
